package com.hfkj.service.gas;

import com.hfkj.entity.BsGasOrderAudit;
import com.hfkj.sysenum.gas.GasOrderAuditStatusEnum;

import java.util.List;
import java.util.Map;

public interface BsGasOrderAuditService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsGasOrderAudit data);

    /**
     * 创建审批
     * @param data
     */
    void create(BsGasOrderAudit data);

    /**
     * 查询详情
     * @param auditNo
     * @return
     */
    BsGasOrderAudit getDetail(String auditNo);

    /**
     * 查询详情
     * @param orderNo
     * @return
     */
    BsGasOrderAudit getDetailByOrderNo(String orderNo, GasOrderAuditStatusEnum auditStatus);

    /**
     * 通过
     * @param auditNo
     */
    void approval(String auditNo,String remark);

    /**
     * 驳回
     * @param auditNo
     */
    void reject(String auditNo,String remark);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsGasOrderAudit> getList(Map<String,Object> param);

}
